Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1122226

Summary: Review Request: nodejs-https-proxy-agent - An HTTP(s) proxy http.Agent implementation for HTTPS
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-23 20:14:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1122208, 1122221    
Bug Blocks: 956806, 1122231    

Description Ralph Bean 2014-07-22 19:04:59 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-https-proxy-agent.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-https-proxy-agent-0.3.5-1.fc20.src.rpm

Description:
This module provides an `http.Agent` implementation that connects to a
specified HTTP or HTTPS proxy server, and can be used with the built-in
`https` module.

Comment 1 Parag AN(पराग) 2014-07-23 09:47:23 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-https-proxy-agent.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-https-proxy-agent.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-https-proxy-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-https-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/https-proxy-agent/node_modules/agent-base /usr/lib/node_modules/agent-base
nodejs-https-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/https-proxy-agent/node_modules/extend /usr/lib/node_modules/extend
nodejs-https-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/https-proxy-agent/node_modules/debug /usr/lib/node_modules/debug
nodejs-https-proxy-agent.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-https-proxy-agent.src: W: spelling-error %description -l en_US http -> HTTP
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :2929464e9813487c360affafb274f1bc0dded2799c8cd5ddd7c28643468c7e89
upstream tarball :2929464e9813487c360affafb274f1bc0dded2799c8cd5ddd7c28643468c7e89

+ License "MIT" is valid and is included in its README.md file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 13:49:10 UTC
New Package SCM Request
=======================
Package Name: nodejs-https-proxy-agent
Short Description: An HTTP(s) proxy http.Agent implementation for HTTPS
Upstream URL: https://npmjs.org/package/https-proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:41:45 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 20:14:05 UTC
nodejs-https-proxy-agent-0.3.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-https-proxy-agent-0.3.5-1.fc20

Comment 5 Fedora Update System 2014-07-23 20:14:15 UTC
nodejs-https-proxy-agent-0.3.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-https-proxy-agent-0.3.5-1.fc19

Comment 6 Ralph Bean 2014-07-23 20:14:46 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:32:42 UTC
nodejs-https-proxy-agent-0.3.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:42:17 UTC
nodejs-https-proxy-agent-0.3.5-1.fc19 has been pushed to the Fedora 19 stable repository.